import { App, Component } from 'vue'
import Test from './Test/src/index.vue'
import CodeScanner from './CodeScanner/src/index.vue'
import CodeScanner2 from './CodeScanner2/src/index.vue'
import TaskScheduler from './Utils/TaskScheduler'
import WebCamera from './Utils/WebCamera'

const components = [Test, CodeScanner];

// 定义 install 方法， App 作为参数
const install = (app: App): void => {
    // 遍历注册所有组件
    components.map((component) => app.component(component.name, component))
}

export default { install }
export { Test, CodeScanner, TaskScheduler, WebCamera, CodeScanner2 }

